Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.service
Interface ReportSchedulingService

All Known Implementing Classes:
  ReportSchedulingFacade

    public interface ReportSchedulingService

Version:
  $Id: ReportSchedulingService.java 9819 2007-08-29 17:42:42Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`ReportJob` | `getScheduledJob(ExecutionContext context, long jobId)`
`java.util.List` | `getScheduledJobs(ExecutionContext context)`
`java.util.List` | `getScheduledJobs(ExecutionContext context, java.lang.String reportUnitURI)`
`void` | `removeScheduledJob(ExecutionContext context, long jobId)`
`void` | `removeScheduledJobs(ExecutionContext context, long[] jobIds)`
`ReportJob` | `scheduleJob(ExecutionContext context, ReportJob job)`
`void` | `updateScheduledJob(ExecutionContext context, ReportJob job)`
`ValidationErrors` | `validateJob(ExecutionContext context, ReportJob job)`

Method Detail

### scheduleJob

    ReportJob scheduleJob(ExecutionContext context,
                          ReportJob job)

### updateScheduledJob

    void updateScheduledJob(ExecutionContext context,
                            ReportJob job)

### getScheduledJobs

    java.util.List getScheduledJobs(ExecutionContext context,
                                    java.lang.String reportUnitURI)

### getScheduledJobs

    java.util.List getScheduledJobs(ExecutionContext context)

### removeScheduledJob

    void removeScheduledJob(ExecutionContext context,
                            long jobId)

### removeScheduledJobs

    void removeScheduledJobs(ExecutionContext context,
                             long[] jobIds)

### getScheduledJob

    ReportJob getScheduledJob(ExecutionContext context,
                              long jobId)

### validateJob

    ValidationErrors validateJob(ExecutionContext context,
                                 ReportJob job)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.